/*****************************************************************************************
 ** File     : PwdFltAdminDlg.h
 ** Date     : 03/24/2002
 ** Author   : Osama Dengler <osama@denglernet.de>
 ** Abstract : Includes for the main dialog class
 **
 ** Copyright (C) Osama Dengler 2002
 **
 ** This program is free software; you can redistribute it and/or modify
 ** it under the terms of the GNU General Public License as published by
 ** the Free Software Foundation; either version 2 of the License, or
 ** (at your option) any later version.
 **
 ** This program is distributed in the hope that it will be useful,
 ** but WITHOUT ANY WARRANTY; without even the implied warranty of
 ** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 ** GNU General Public License for more details.
 **
 ** You should have received a copy of the GNU General Public License
 ** along with this program; if not, write to the Free Software
 ** Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *****************************************************************************************/
#if !defined(AFX_PWDFLTADMINDLG_H__C37AA834_38E3_11D6_AAA0_00105A45B1C4__INCLUDED_)
#define AFX_PWDFLTADMINDLG_H__C37AA834_38E3_11D6_AAA0_00105A45B1C4__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/******************************************************************************************
 ** Class      : CPwdFltAdminDlg
 ** Description: Main dialog class.
 ******************************************************************************************/
class CPwdFltAdminDlg : public CDialog
{
public:
	BOOL WriteRegValues(void);
	BOOL ReadRegValues(void);
	BOOL OpenRegistry(void);
	CMyRegKey* m_pRegKey;
	CPwdFltAdminDlg(CWnd* pParent = NULL);

	//{{AFX_DATA(CPwdFltAdminDlg)
	enum { IDD = IDD_PWDFLTADMIN_DIALOG };
	CString	m_BaseDN;
	CString	m_BindDN;
	CString	m_BindPW;
	BOOL	m_ForceLDAPv2;
	BOOL	m_ForceLDAPv3;
	CString	m_LdapServer;
	BOOL	m_UseSSL;
	//}}AFX_DATA

	//{{AFX_VIRTUAL(CPwdFltAdminDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);
	//}}AFX_VIRTUAL

protected:
	HICON m_hIcon;

	//{{AFX_MSG(CPwdFltAdminDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnDestroy();
	afx_msg void OnForceLdapv2();
	afx_msg void OnForceLdapv3();
	virtual void OnOK();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}

#endif // !defined(AFX_PWDFLTADMINDLG_H__C37AA834_38E3_11D6_AAA0_00105A45B1C4__INCLUDED_)
